Name:          aries-blueprint
Version:       0.3.1
Release:       %mkrel 14
Summary:       Apache Aries Blueprint
License:       ASL 2.0
Group:         Development/Java
URL:           http://aries.apache.org/

# svn export http://svn.apache.org/repos/asf/aries/tags/blueprint-0.3.1/ aries-blueprint-0.3.1
# tar cafJ aries-blueprint-0.3.1.tar.xz aries-blueprint-0.3.1

Source0:       %{name}-%{version}.tar.xz
Patch0:        %{name}-%{version}-xml.patch
Patch1:        %{name}-%{version}-java.patch

BuildArch:     noarch

Epoch:         1

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: maven-local
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: aries-util
BuildRequires: aries-proxy
BuildRequires: aries-quiesce
BuildRequires: felix-osgi-compendium
BuildRequires: felix-osgi-core
BuildRequires: xbean
BuildRequires: objectweb-asm3

%description
Implementation of the Blueprint Container Specification.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Documentation

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1



%build
# tests disabled because of
# missing dependency on org.apache.aries.unittest
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc README LICENSE NOTICE
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc
%doc LICENSE



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 1:0.3.1-14.mga6
+ Revision: 982109
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 1:0.3.1-13.mga6
+ Revision: 975436
- First rebuild of the java stack
- sync package aries-blueprint with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Fri Jan 09 2015 pterjan <pterjan> 1:0.3.1-10.mga5
+ Revision: 809638
- Sync with Fedora 21

* Wed Oct 15 2014 umeabot <umeabot> 1:0.3.1-9.mga5
+ Revision: 750284
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.3.1-8.mga5
+ Revision: 677895
- Mageia 5 Mass Rebuild

* Mon Apr 21 2014 dmorgan <dmorgan> 1:0.3.1-7.mga5
+ Revision: 617212
- Adapt BR to new packages name

* Tue Oct 22 2013 umeabot <umeabot> 0.3.1-6.mga4
+ Revision: 545770
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 luigiwalser <luigiwalser> 0.3.1-5.mga4
+ Revision: 501790
- BR maven-local for mvn-rpmbuild

* Fri Jan 11 2013 umeabot <umeabot> 0.3.1-4.mga3
+ Revision: 346059
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 dmorgan <dmorgan> 0.3.1-3.mga3
+ Revision: 331524
- imported package aries-blueprint


* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 4 2012 Patryk Obara <pobara@redhat.com> 0.3.1-2
- Review issues fixed: unnecessary dir and tabs/space mixing
- blueprint-bundle module disabled

* Thu May 17 2012 Patryk Obara <pobara@redhat.com> 0.3.1-1
- Initial packaging
